edu.isi.pegasus.planner.dax

## Class Patterns

- java.lang.Object
- - edu.isi.pegasus.planner.dax.Patterns

    public class Patterns
    extends java.lang.Object

Version:
  $Revision$
Author:
  gmehta

### Field Summary

Fields
`private static java.util.regex.Pattern` `mNodeIdPattern`
`private static java.util.regex.Pattern` `mVersionPattern`

### Constructor Summary

Constructors
Constructor and Description
`Patterns()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isNodeIdValid(java.lang.String nodeid)`
`static boolean` `isValid(java.util.regex.Pattern p, java.lang.String s)`
`static boolean` `isVersionValid(java.lang.String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mVersionPattern

    private static java.util.regex.Pattern mVersionPattern

#### mNodeIdPattern

    private static java.util.regex.Pattern mNodeIdPattern

### Constructor Detail

#### Patterns

    public Patterns()

### Method Detail

#### isValid

    public static boolean isValid(java.util.regex.Pattern p,
                                  java.lang.String s)

#### isVersionValid

    public static boolean isVersionValid(java.lang.String version)

#### isNodeIdValid

    public static boolean isNodeIdValid(java.lang.String nodeid)